phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
gianluigi.zanettini
Registered User
Posts: 109
Joined: Fri Sep 07, 2007 9:09 pm
Location: Ferrara, Italy
Contact:

phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by gianluigi.zanettini » Sat Dec 08, 2018 9:20 am

Hi guys,
Zane from TurboLab.it here. I'm trying to upgrade from PHP 5.6 to PHP 7.3.

We currently have phpBB version 3.2.4. The website is custom made, but we integrate phpBB for the user registration and sessions.

Right now I'm experiencing this same problem: PHPBB3-15828.

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-stdlib/src/ArrayObject.php on line 426: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 272: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 275: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 281: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 287: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 296: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 314: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
[phpBB Debug] PHP Warning: in file [ROOT]/vendor/zendframework/zend-code/src/Reflection/MethodReflection.php on line 319: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"?
I'd like to know if any of you have the same (I **think** PHP 7.2 is also affected) and how you're dealing with it.

Thanks.

User avatar
david63
Registered User
Posts: 16570
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by david63 » Sat Dec 08, 2018 9:36 am

As PHP 7.3 was only released two days ago I doubt anyone has looked at it yet in relation to phpBB problems and, as far as I am aware, phpBB has not been confirmed as PHP 7.3 compatible.
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21600
Joined: Fri Aug 29, 2008 9:49 am
Location: Cardiff

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by Mick » Sat Dec 08, 2018 9:37 am

gianluigi.zanettini wrote:
Sat Dec 08, 2018 9:20 am
(I **think** PHP 7.2 is also affected)
I've seen no ill effects with PHP 7.2.13 since updating.
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
GanstaZ
Registered User
Posts: 804
Joined: Wed Oct 11, 2017 10:29 pm
Location: Zverse

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by GanstaZ » Sat Dec 08, 2018 2:40 pm

If i remember it correctly, that package needs an update and should be fixed in some future version.
"When answer lies in the question,.. question becomes redundant!"

User avatar
gianluigi.zanettini
Registered User
Posts: 109
Joined: Fri Sep 07, 2007 9:09 pm
Location: Ferrara, Italy
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by gianluigi.zanettini » Sat Dec 08, 2018 8:30 pm

Thanks guys, I'll just wait for an update then.

Olaf van der Spek
Registered User
Posts: 33
Joined: Tue Nov 20, 2007 6:03 pm

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by Olaf van der Spek » Sat Dec 22, 2018 4:18 pm

david63 wrote:
Sat Dec 08, 2018 9:36 am
As PHP 7.3 was only released two days ago I doubt anyone has looked at it yet in relation to phpBB problems
Is nobody (else) running PHP Alpha, Beta or RC versions?
RC has been available since September.

User avatar
david63
Registered User
Posts: 16570
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by david63 » Sat Dec 22, 2018 5:25 pm

Olaf van der Spek wrote:
Sat Dec 22, 2018 4:18 pm
Is nobody (else) running PHP Alpha, Beta or RC versions?
RC has been available since September.
It does not make any difference - you can only say that an application will work with a final release as there can be changes in a final release from an RC.

Anyway what is the urgency?
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

Olaf van der Spek
Registered User
Posts: 33
Joined: Tue Nov 20, 2007 6:03 pm

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by Olaf van der Spek » Sat Dec 22, 2018 6:52 pm

david63 wrote:
Sat Dec 22, 2018 5:25 pm
Olaf van der Spek wrote:
Sat Dec 22, 2018 4:18 pm
Is nobody (else) running PHP Alpha, Beta or RC versions?
RC has been available since September.
It does not make any difference
Of course it does. Errors like these could've been fixed already.
- you can only say that an application will work with a final release as there can be changes in a final release from an RC.
That's the wrong question. ;)

User avatar
david63
Registered User
Posts: 16570
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by david63 » Sat Dec 22, 2018 7:00 pm

Olaf van der Spek wrote:
Sat Dec 22, 2018 6:52 pm
Of course it does. Errors like these could've been fixed already.
Tell me - how do you fix errors retrospectively?
Olaf van der Spek wrote:
Sat Dec 22, 2018 6:52 pm
That's the wrong question.
What is the right question?
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
warmweer
Registered User
Posts: 2801
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by warmweer » Sat Dec 22, 2018 7:23 pm

Olaf van der Spek wrote:
Sat Dec 22, 2018 6:52 pm
david63 wrote:
Sat Dec 22, 2018 5:25 pm
- you can only say that an application will work with a final release as there can be changes in a final release from an RC.
That's the wrong question. ;)
Is it me, or am I missing something? ... I don't see a question.

Seriously if it's that much of a problem, you yourself could test the latest version of phpBB with PHP7.3 (I have no idea what the latest version is but while you're at it, test it with all the recent versions of MySQL, Mariadb, etc etc etc...
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
jue4you
Registered User
Posts: 5
Joined: Fri Dec 28, 2018 5:26 pm
Location: Wuppertal
Name: Heiko Juergens
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by jue4you » Fri Dec 28, 2018 5:48 pm

Now is version 3.2.5 actual phpbb.

Have tried to fix it. Replace 'continue' with 'continue 2' in the mentioned lines. The warnings disappear then.

But my installation breaks at 54 % when installing modules with the hint, that i should increase the timeout value or install phpbb with CLI.

i'm installing on tumbleweed. can only install php 7.3 with the repos. don't know how to install php 7.2 there. Installing with CLI. Have tried it, but my IQ is too low for that. :-(

User avatar
HiFiKabin
Community Team Member
Community Team Member
Posts: 4019
Joined: Wed May 14, 2014 9:10 am
Location: Swearing at the PC, UK
Name: James
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by HiFiKabin » Fri Dec 28, 2018 6:29 pm

jue4you wrote:
Fri Dec 28, 2018 5:48 pm
Now is version 3.2.5 actual phpbb.
Is this the same board referred to above, or is it a different one? If different please start your own topic

User avatar
david63
Registered User
Posts: 16570
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by david63 » Fri Dec 28, 2018 7:00 pm

jue4you wrote:
Fri Dec 28, 2018 5:48 pm
can only install php 7.3
phpBB is not, as yet, compatible with PHP7.3
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
jue4you
Registered User
Posts: 5
Joined: Fri Dec 28, 2018 5:26 pm
Location: Wuppertal
Name: Heiko Juergens
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by jue4you » Fri Dec 28, 2018 8:52 pm

david63 wrote:
Fri Dec 28, 2018 7:00 pm
jue4you wrote:
Fri Dec 28, 2018 5:48 pm
can only install php 7.3
phpBB is not, as yet, compatible with PHP7.3
Please, can you tell me, where i can see, with which version of php a version of phpbb is compatible? Thanks a lot, jue4you

User avatar
jue4you
Registered User
Posts: 5
Joined: Fri Dec 28, 2018 5:26 pm
Location: Wuppertal
Name: Heiko Juergens
Contact:

Re: phpBB 3.2.4 with PHP 7.3: warning in zendframework/ArrayObject.php

Post by jue4you » Fri Dec 28, 2018 9:00 pm

HiFiKabin wrote:
Fri Dec 28, 2018 6:29 pm
jue4you wrote:
Fri Dec 28, 2018 5:48 pm
Now is version 3.2.5 actual phpbb.
Is this the same board referred to above, or is it a different one? If different please start your own topic
Sorry for that. Version phpBB 3.2.4 and 3.2.5 seem to have the same problem. I only wanted to say, that i tried to fix it with continue 2 instead of continue. Starting my own topic? Perhaps my permissions are not sufficient for that... :(

Post Reply

Return to “[3.2.x] Support Forum”